package m05bRevisionEJB;



/**
 * Date: Apr 22, 2004
 * Time: 3:14:44 PM
 */
    /**
     * This is the Primary Key for the Entity EJB <tt>m05Revision</tt>.
     */
    public class m05RevisionPK implements java.io.Serializable {

      /**
       * This is the primary key.
       * It is the tasa codigo, which is the primary key
       * in table <tt>m0535t00</tt>.
       */
      public String revi_cod;

      /**
       * This is the equals method.
       * @param obj java.lang.Object
       * @return boolean
       */
      public boolean equals(Object obj) {
        if (obj instanceof m05RevisionPK) {
          m05RevisionPK otherKey = (m05RevisionPK) obj;
          if (this.revi_cod==otherKey.revi_cod){
            return true;
          }
          else{
              return false;
          }
        }
        else
          return false;
      }

      /**
       * This is the hashCode method.
       * @return int
       */
      public int hashCode() {

        return (this.revi_cod.hashCode());
      }

    }
